[game-data-packager] 09/293: Added the missing directory containing the wrapper scripts
Simon McVittie
smcv at debian.org
Fri Oct 14 00:11:51 UTC 2016
This is an automated email from the git hooks/post-receive script.
smcv pushed a commit to branch quake
in repository game-data-packager.
commit 89d94f5cc09fef96ea0083fe7d32a4a0efded2da
Author: Bruno "Fuddl" Kleinert <fuddl at debian.org>
Date: Sat Feb 11 17:55:00 2006 +0000
Added the missing directory containing the wrapper scripts
---
debian/scripts/ioq3ded | 40 +++++++++++++++++++++++++++++++++
debian/scripts/ioquake3 | 60 +++++++++++++++++++++++++++++++++++++++++++++++++
2 files changed, 100 insertions(+)
diff --git a/debian/scripts/ioq3ded b/debian/scripts/ioq3ded
new file mode 100644
index 0000000..5db073f
--- /dev/null
+++ b/debian/scripts/ioq3ded
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+EXCUSE="\
+Icculus.Org Quake III Arena server wrapper\n\
+This script is Debian specific, it is *NOT* part of the source distribution!\n\
+Usage: ioquake3-server [OPTION]...\n\
+\n\
+ -h, --help\t\tDisplay this help\n\
+ +set option value\tPass options to the Icculus.Org Quake III Arena server binary\n"
+
+MISSING_FILES="\
+Required Quake III data files are not installed.\n\
+As root, run 'dpkg-reconfigure ioquake3-data'.\n"
+
+# Quake 3 binaries don't understand "regular" command line parameters. Let's
+# catch them here, to avoid accidently launching the binary.
+while [ "$1" != "" ]; do {
+ if [ "$1" == "+set" ]; then
+ break;
+ fi
+ case "$1" in
+ -h|--help)
+ echo -e ${EXCUSE}
+ exit 0;
+ ;;
+ esac
+}; done
+
+# Is ioquake3-data configured?
+for i in `seq -w 0 1 8`; do
+ if [ ! -e /usr/lib/games/ioquake3/baseq3/pak$i.pk3 ]; then
+ echo -e ${MISSING_FILES}
+ exit 1;
+ fi
+done
+
+# Ready to rumble!
+cd /usr/lib/games/ioquake3
+exec ./ioq3ded $*
+exit $?
diff --git a/debian/scripts/ioquake3 b/debian/scripts/ioquake3
new file mode 100644
index 0000000..bbe984a
--- /dev/null
+++ b/debian/scripts/ioquake3
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+EXCUSE="\
+Icculus.Org Quake III Arena client wrapper\n\
+This script is Debian specific, it is *NOT* part of the source distribution!\n\
+Usage: ioquake3 [OPTION]...\n\
+\n\
+ -h, --help\t\tDisplay this help\n\
+ -q, --quiet\t\tDisable console output\n\
+ -s, --smp\t\tUse the SMP capable Icculus.Org Quake III Arena binary.\n\
+\t\t\tREAD THE MANPAGE!\n\
+ +set option value\tPass options to the Icculus.Org Quake III Arena binary\n"
+
+MISSING_FILES="\
+Required Quake III data files are not installed.\n\
+As root, run 'dpkg-reconfigure ioquake3-data'.\n"
+
+QUIET=0
+BINARY=ioquake3
+
+# Quake 3 binaries don't understand "regular" command line parameters. Let's
+# catch them here, to avoid accidently launching the binary.
+
+while [ "$1" != "" ]; do {
+ if [ "$1" == "+set" ]; then
+ break;
+ fi
+ case "$1" in
+ -h|--help)
+ echo -e ${EXCUSE}
+ exit 0
+ ;;
+ -q|--quiet)
+ QUIET=1
+ ;;
+ -s|--smp)
+ BINARY=ioquake3-smp
+ ;;
+ esac
+ shift
+}; done
+
+# Is ioquake3-data configured?
+for i in `seq -w 0 1 8`; do
+ if [ ! -e /usr/lib/games/ioquake3/baseq3/pak$i.pk3 ]; then
+ echo -e ${MISSING_FILES}
+ exit 1;
+ fi
+done
+
+# Ready to rumble!
+cd /usr/lib/games/ioquake3
+
+if [ ${QUIET} == 1 ]; then
+ exec ./${BINARY} +set ttycon 0 $* >/dev/null 2>&1
+else
+ exec ./${BINARY} $*
+fi
+
+exit $?
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-games/game-data-packager.git
More information about the Pkg-games-commits
mailing list